Subject: [bug#73660] [PATCH] gexp: Improve support of Unicode characters.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Fri, 10 Jan 2025 17:00:00 +0100

Tomas Volf writes:

Hi,

> any opinion regarding this patch?  I think it prevents whole class of
> annoying bugs, and some forms already had support for it, this just
> extend it to all forms.

While I don't feel qualified to LGTM this patch, it makes sense to me.

As discussed on IRC <https://logs.guix.gnu.org/guix/2025-01-05.log#134213>
I added the patch to core-packages-team, but also reverted it to avoid a
world rebuild.

Just now I pushed a newlyrebased core-packages-team with the patch
in action, see <https://ci.guix.gnu.org/jobset/core-packages-team>.

Would you like to also keep an eye out for how that works?

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com